import { Type } from '@angular/core';
import { Widget } from './widget';
import { SetValueModeType } from '../common/widget-enums';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
import { TimestampComponent } from '../../../sculptor-lib/widgets/timestamp/timestamp.component';
export declare class TimeStamp extends Widget {
    component: Type<TimestampComponent>;
    value: string;
    helpText: string;
    mode: SetValueModeType;
    displayDateFormat: string;
    isAllowChanging: boolean;
    markup: string;
    name: string;
    constructor(field?: TimeStamp);
    newTimestamp(): void;
    /**function to create Toggle object with existing values
   *
   *@param field
   *
   */
    timestamp(field: any): void;
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
